### Property

# Ide TreeNode:reset-on-collapse

#### Declaration

    property reset-on-collapse: gboolean [ read, write ]

#### Description

The “reset-on-collapse” denotes that children should be removed when the node is collapsed.

Type: | `gboolean`
Available since: | 3.32

Setter method | `ide_tree_node_set_reset_on_collapse()`
Getter method | `ide_tree_node_get_reset_on_collapse()`

#### Flags

Readable | yes
Writable | yes
Construct | no
Construct only | no